# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8
USE_RUBY="ruby31 ruby32 ruby33"

RUBY_FAKEGEM_EXTRADOC="README.md"
RUBY_FAKEGEM_GEMSPEC="rugged.gemspec"
RUBY_FAKEGEM_EXTENSIONS=(ext/rugged/extconf.rb)

inherit ruby-fakegem

DESCRIPTION="ruby bindings to libgit2"
HOMEPAGE="https://github.com/libgit2/rugged"
SRC_URI="https://github.com/libgit2/rugged/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64"

PATCHES=(
	"${FILESDIR}/${PN}-${PV}-remove_broken_libgit2_detection.patch"
)

RDEPEND="
	=dev-libs/libgit2-${PV}
"

each_ruby_configure() {
	local myconf="--use-system-libraries"
	RUBY_FAKEGEM_EXTENSION_OPTIONS=${myconf} each_fakegem_configure
}
