# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

GIT_COMMIT=988cded5d89f52e274afb545bd3e011e19d5d22d

USE_RUBY="ruby31 ruby32 ruby33"

RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
RUBY_FAKEGEM_GEMSPEC="oxidized-script.gemspec"
RUBY_FAKEGEM_VERSION="0.6.0.20211216"

inherit ruby-fakegem

DESCRIPTION="CLI and LIB for scripting network devices via Oxidized "
HOMEPAGE="https://github.com/ytti/oxidized-script"
SRC_URI="https://github.com/ytti/oxidized-script/archive/${GIT_COMMIT}.tar.gz -> ${P}.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64"

RUBY_S="${PN}-${GIT_COMMIT}"

ruby_add_rdepend "
	>=dev-ruby/slop-4.6
	>=net-misc/oxidized-0.28
"

all_ruby_prepare() {
	sed -i -e 's/git ls-files/find/' ${RUBY_FAKEGEM_GEMSPEC} || die
	sed -i -e "s#require 'oxidized/script/cli'#require_relative '../lib/oxidized/script/cli'#" bin/oxs || die
}
