# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

USE_RUBY="ruby31 ruby32 ruby33"

RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
RUBY_FAKEGEM_GEMSPEC="oxidized-web.gemspec"

inherit ruby-fakegem

DESCRIPTION="Web UI + RESTful API for Oxidized"
HOMEPAGE="https://github.com/ytti/oxidized-web"
SRC_URI="https://github.com/ytti/oxidized-web/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64"

ruby_add_rdepend "
	>=dev-ruby/charlock_holmes-0.7.5
	>=dev-ruby/emk-sinatra-url-for-0.2
	>=dev-ruby/haml-6.0
	>=dev-ruby/htmlentities-4.3
	>=dev-ruby/json-2.3
	<dev-ruby/sinatra-5.0
	<dev-ruby/sinatra-contrib-5.0
	>=net-misc/oxidized-0.26
	<www-servers/puma-6.5.0
"
